API Status

 
By calling this API you will receive detailed information about the current status of all our APIs and endpoints. You will also get a full issue description if a problem occurs.

Note: You can send no more than 10 requests per minute.

All information about your API statuses for the last 60 days is available via this link.

Pricing

Your account will not be charged for using this API

checked GET

‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

total execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO, can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataarray

contains the parameters passed in the URL of the GET request

    resultarray

array of results

        apistring

name of the API
the list of APIs:
serp
keywords_data
appendix
dataforseo_labs
domain_analytics
merchant
on_page
business_data
backlinks
app_data
content_analysis
content_generation

        statusstring

current status
you can find all information about your API statuses for the last 60 days here
the list of possible current statuses:
major_outage
partial_outage
long_response_time
long_execution_time
webhook_delay
send_delay

        endpointsarray

array of objects that contain status information for API endpoints

            endpointstring

name of the endpoint
the list of possible endpoints:
task_get
task_post
live
postback/pingback

            statusstring

current status
you can find all information about the statuses of our endpoints for the last 60 days here
the list of possible current statuses:
major_outage
partial_outage
long_response_time
long_execution_time
webhook_delay
send_delay

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/appendix/status" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://api.dataforseo.com/v3/_examples/php/_php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	// using this method you can get information about current status
	// GET /v3/appendix/status
	$result = $client->get('/v3/appendix/status');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');
axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/appendix/status',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://api.dataforseo.com/v3/_examples/python/_python_Client.zip

client = RestClient("login", "password")
# using this method you can get information about current status
# GET /v3/appendix/status
response = client.get("/v3/appendix/status")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task appendix_status()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get information about current status
            // GET /v3/appendix/status
            var response = await httpClient.GetAsync("/v3/appendix/status");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220819",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.1054 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "10262353-4426-0497-0000-1d3f85e9443a",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0550 sec.",
      "cost": 0,
      "result_count": 10,
      "path": [
        "v3",
        "appendix",
        "status"
      ],
      "data": {
        "api": "appendix",
        "function": "status"
      },
      "result": [
        {
          "api": "serp",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "task_get",
              "status": "ok"
            },
            {
              "endpoint": "task_post",
              "status": "ok"
            },
            {
              "endpoint": "live",
              "status": "ok"
            },
            {
              "endpoint": "postback/pingback",
              "status": "ok"
            }
          ]
        },
        {
          "api": "keywords_data",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "live",
              "status": "ok"
            },
            {
              "endpoint": "task_get",
              "status": "ok"
            },
            {
              "endpoint": "task_post",
              "status": "ok"
            },
            {
              "endpoint": "postback/pingback",
              "status": "ok"
            }
          ]
        },
        {
          "api": "appendix",
          "status": "ok",
          "endpoints": null
        },
        {
          "api": "dataforseo_labs",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "live",
              "status": "ok"
            }
          ]
        },
        {
          "api": "domain_analytics",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "live",
              "status": "ok"
            },
            {
              "endpoint": "task_post",
              "status": "ok"
            },
            {
              "endpoint": "task_get",
              "status": "ok"
            },
            {
              "endpoint": "postback/pingback",
              "status": "ok"
            }
          ]
        },
        {
          "api": "merchant",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "task_get",
              "status": "ok"
            },
            {
              "endpoint": "task_post",
              "status": "ok"
            },
            {
              "endpoint": "postback/pingback",
              "status": "ok"
            }
          ]
        },
        {
          "api": "on_page",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "task_post",
              "status": "ok"
            },
            {
              "endpoint": "task_get",
              "status": "ok"
            },
            {
              "endpoint": "live",
              "status": "ok"
            },
            {
              "endpoint": "postback/pingback",
              "status": "ok"
            }
          ]
        },
        {
          "api": "business_data",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "live",
              "status": "ok"
            },
            {
              "endpoint": "task_post",
              "status": "ok"
            },
            {
              "endpoint": "task_get",
              "status": "ok"
            },
            {
              "endpoint": "postback/pingback",
              "status": "ok"
            }
          ]
        },
        {
          "api": "backlinks",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "live",
              "status": "ok"
            }
          ]
        },
        {
          "api": "app_data",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "task_post",
              "status": "ok"
            },
            {
              "endpoint": "task_get",
              "status": "ok"
            },
            {
              "endpoint": "postback/pingback",
              "status": "ok"
            }
          ]
        },
        {
          "api": "content_analysis",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "live",
              "status": "ok"
            }
          ]
        },
        {
          "api": "content_generation",
          "status": "ok",
          "endpoints": [
            {
              "endpoint": "live",
              "status": "ok"
            }
          ]
        }
      ]
    }
  ]
}